Create a Vault from an existing team
Creates a Vault for an existing team.
Legacy note: this endpoint is maintained for existing V2 integrations. Prefer V3 for new API and agent workflows where an equivalent exists.
curl -X POST "https://api.textmine.com/v1/teams/example_string/vaults" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json" \
-H "Cookie: JSESSIONID=2F316B521C623E9D9D3A7E8B3107801A" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.textmine.com/v1/teams/example_string/vaults"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"Cookie": "JSESSIONID=2F316B521C623E9D9D3A7E8B3107801A"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.textmine.com/v1/teams/example_string/vaults", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"Cookie": "JSESSIONID=2F316B521C623E9D9D3A7E8B3107801A"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.textmine.com/v1/teams/example_string/vaults", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <ACCESS_TOKEN>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Cookie", "JSESSIONID=2F316B521C623E9D9D3A7E8B3107801A")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.textmine.com/v1/teams/example_string/vaults')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer <ACCESS_TOKEN>'
request['Content-Type'] = 'application/json'
request['Cookie'] = 'JSESSIONID=2F316B521C623E9D9D3A7E8B3107801A'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{}
POST
/v1/teams/{teamId}/vaultsPOST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer token - just enter the token, "Bearer" prefix will be added automatically
Content-Typestring
RequiredThe media type of the request body
Options:
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Authentication token required.
Path Parameters
Headers
Authorizationstring
Example:
Bearer <ACCESS_TOKEN>Content-Typestring
Example:
application/jsonCookiestring
Example:
JSESSIONID=2F316B521C623E9D9D3A7E8B3107801AResponses
Successful response
Was this page helpful?